/*-----------------------------------*\
    FOOTER STYLE 
  /*-----------------------------------*\

  /*-----------------------------------*\
  #CUSTOM PROPERTY
  \*-----------------------------------*/

  :root {

    /**
   * colors
   */

    /*social media first color*/
    --royal-blue-light:#121212 ;
    /*social media second color*/
    --carolina-blue: #39a2b9;
    /*footerUP*/
    --oxford-blue-2: #44bad4;
    /*footerDOWN*/
    --oxford-blue-3:  #39a2b9;


    /**
   * gradient color
   */

    --gradient: linear-gradient( 90deg, var(--carolina-blue) 0%, var(--royal-blue-light) 100%);

   /**
   * typography

    --ff-roboto: "Roboto", sans-serif;
    --ff-poppins: "Poppins", sans-serif;
   */
   


    --fs-1: 4rem;
    --fs-2: 3.6rem;
    --fs-3: 3.2rem;
    --fs-4: 2.4rem;
    --fs-5: 2.2rem;
    --fs-6: 1.8rem;
    --fs-7: 1.6rem;

    --fw-800: 800;
    --fw-700: 700;
    --fw-600: 600;
    --fw-500: 500;

   /**
   * shadow
   */

    --shadow-1: 4px 4px 15px var(--black_10);
    --shadow-2: 0 10px 15px var(--black_10);
    --shadow-3: 0px 20px 60px var(--black_8);
    --shadow-4: 0px 10px 30px var(--flickr-blue_30);
    --shadow-5: 0px 2px 60px 0px var(--black_10);

   /**
   * transition 
   */

    --transition: 0.25s ease;

  }

  /*-----------------------------------*\
  #RESET
  \*-----------------------------------*/

  *,
  *::before,
  *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  li { list-style: none; }

  a {
    text-decoration: none;
    color: inherit;
  }

  a,
  img,
  span,
  input,
  button,


  img { height: auto; }

  input,
  button {
    background: none;
    border: none;
    font: inherit;
  }

  input { width: 100%; }

  button { cursor: pointer; }

  ion-icon { pointer-events: none; }

  address { font-style: normal; }

  html {
   font-family: var(--ff-roboto);
   font-size: 10px;
   scroll-behavior: smooth;
  }

  body {
    background-color: var(--white);
    color: var(--sonic-silver);
    font-size: 1.5rem;
  }
 
  /*-----------------------------------*\
  #REUSED STYLE
  \*-----------------------------------*/

  .container2 { padding-inline: 25px; }

  .section2 { padding-block: var(--section-padding); }

  .section2-subtitle {
    color: var(--royal-blue-light);
    font-family: var(--ff-poppins);
    font-size: var(--fs-6);
    font-weight: var(--fw-700);
    text-transform: uppercase;
    margin-block-end: 10px;
  }

  .h1,
  .h2{
    font-family: var(--ff-poppins);
    line-height: 1.2;
  }
  .h3 {
    font-family: var(--ff-poppins);
    line-height: 1.2;
  }

  .h1 {
    color: var(--oxford-blue-1);
    font-size: var(--fs-2);
  }

  .h2 { color: var(--oxford-blue-2); }
  .h3 { color: var(--oxford-blue-2); }

  .h2 { font-size: var(--fs-1); }

  .h3 { font-size: var(--fs-5); }

  .btn2 {
    background-image: linear-gradient( var(--deg, 90deg), var(--carolina-blue) 0%, var(--royal-blue-light) 100%);
    color: var(--white);
    font-size: var(--fs-7);
    text-transform: uppercase;
    padding: 20px 30px;
    text-align: center;
    border-radius: var(--radius-4);
    box-shadow: var(--shadow-4);
  }

  .btn2:is(:hover, :focus) { --deg: -90deg; }

  .w-100 { width: 100%; }

  .text-center { text-align: center; }

  .card-text,
  .section-text { line-height: 1.7; }

  /*-----------------------------------*\
  #LOGO FOOTER
  \*-----------------------------------*/

  .logo2{
    color: var(--oxford-blue-1);
    font-family: var(--ff-poppins);
    font-size: 3.4rem;
    font-weight: var(--fw-800);
  }

  /*-----------------------------------*\
  #FOOTER
  \*-----------------------------------*/

  .footer2-top {
    background-color: var(--oxford-blue-2);
    color: var(--light-steel-blue);
  }

  .footer2-top .container2 {
    display: grid;
    gap: 21px;
  }

  .footer2-brand .logo2 { color: var(--white); }

  .footer2-text {
    line-height: 1.6;
    margin-block: 15px;
    color: #111;
  }

  .schedule {
    display: flex;
    align-items: center;
    gap: 15px;
  }

  .schedule-icon,
  .footer2-item .item-icon {
   background-image: var(--gradient);
   color: var(--white);
   font-size: 18px;
   padding: 11px;
   border-radius: 50%;
  }

  .schedule .span,
  .footer2-item .item-text { line-height: 1.6; }

  .footer2-list-title {
    color: var(--white);
    font-family: var(--ff-poppins);
    font-size: var(--fs-4);
    font-weight: var(--fw-700);
   margin-block-end: 10px;
  }

  .footer2-list {
    color: #111;
    font-family: var(--ff-poppins);
    font-size: 1rem;
    font-weight: 400;
    margin-block-end: 10px;
}

.footer2-list li:hover, .footer2-list a:hover, .footer2-list span:hover {
    color: #fff !important;
    background: none;
    cursor: pointer;
    transition: color 0.2s;
}
  
  .footer2-link {
    font-size: var(--fs-6);
    display: flex;
    align-items: center;
    gap: 5px;
    padding-block: 8px;
    transition: var(--transition);
  }

    .footer2-link ion-icon {
      /*  color: var(--royal-blue-light);*/
      --ionicon-stroke-width: 50px;
    }

    .footer2-link:is(:hover, :focus) { color: var(--white); }

    .footer2-item {
        display: flex;
        align-items: center;
        gap: 10px;
    }

  .footer2-item:not(:first-child) { margin-block-start: 20px; }

  .footer2-bottom {
    background-color: var(--oxford-blue-3);
    padding-block: 50px;
    text-align: center;
  }

  .copyright {
    color: var(--white);
    line-height: 1.6;
    margin-block-end: 25px;
  }

  .footer2 .social-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
  }

  .footer2 .social-link {
    padding-left: 11px;
    padding-right: 11px;
    padding-top: 11px;
    padding-bottom: 5px;
    background-color: hsla(0, 0%, 100%, 0.2);
    color: var(--white);
    font-size: 18px;
    border-radius: 50%;
  }

  .footer2 .social-link:is(:hover, :focus) { background-image: var(--gradient); }

  /*-----------------------------------*\
  #DropDown
  \*-----------------------------------*/

  .dropdown {
    position: relative;
    display: inline-block;
  }

  .dropbtn {
    background-color: transparent;
    color: #39a2b9;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 1.7rem;
    border: none;
    cursor: pointer;
  }
  .dropbtn:hover{
    background-color: transparent;
    color: #44bad4;
  }

  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 300px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }

  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    position: relative; 
  }

  .dropdown-content a:hover {
    background-color: #f1f1f1;
  }

  .dropdown:hover .dropdown-content {
    display: block;
  }

  .dropdown-submenu {
    position: relative;
  }

  .dropdown-submenu-content {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    background-color: #f9f9f9;
    min-width: 250px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }

  .dropdown-submenu:hover .dropdown-submenu-content {
   display: block;
  }

  .dropdown-arrow {
    float: right;
    margin-left: 10px;
  }

 /*-----------------------------------*\
  #Accordion
 \*-----------------------------------*/
  .accordion {
    max-width: 600px;
    margin: 0 auto;
    border: 1px solid #ccc;
    border-radius: 5px;
  }

  .accordion-item {
    border-top: 1px solid #ccc;
  }

  .accordion-item:first-child {
    border-top: none;
  }

  .accordion-header {
    background-color: #f1f1f1;
    padding: 15px;
    cursor: pointer;
    user-select: none;
  }

  .accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: white;
    padding: 0 15px;
  }

  .accordion-content p {
    margin: 15px 0;
  }

  .accordion-item.active .accordion-content {
    max-height: 200px;
    padding: 15px;
  }


 /**
 * responsive for larger than 575px screen
 */

  @media (min-width: 575px) {

    /**
   * CUSTOM PROPERTY
   */

    :root {

      /**
     * typography
     */

      --fs-1: 4.2rem;

    }

   /**
   * alinhamento do footer 
   */

    .container2 {
      max-width: 540px;
      width: 100%;
     margin-inline: auto;
    }
  }

 /**
 * responsive for larger than 768px screen
 */

  @media (min-width: 768px) {

    /**
    * CUSTOM PROPERTY
    */
    :root {

      /**
     * typography
     */

      --fs-2: 4.8rem;
    }

    /**
   * alinhamento do footerDOWN/ redes sociais e ano
   */

    .footer2-bottom { padding-block: 30px; }

    .footer2-bottom .container2 {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .copyright { margin-block-end: 0; }
  }

  /**
 * responsive for larger than 992px screen
 */

  @media (min-width: 992px) {

   /**
   * CUSTOM PROPERTY
   */

    :root {

     /**
      * typography
     */

     --fs-2: 6rem;
     --fs-1: 4.6rem;
     --fs-3: 4.6rem;

    }

   /**
   * REUSED STYLE
   */

   .container2 { max-width: 980px; }


   /**
   * ABOUT
   */

    .about .container2 {
     display: grid;
     grid-template-columns: 1fr 1fr;
     align-items: center;
     gap: 30px;
    }

   .about-banner { margin-block-end: 0; }


    /**
   * FOOTER
   */

   /**.footer2-top .container2 { 
      grid-template-columns: 0.8fr 0.75fr 0.7fr 0.75fr; 
    } SUBSTITUI POR OUTRA*/
     .footer2-top .container2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 21px;
}
  }

/**
 * responsive for larger than 1200px screen
 */

  @media (min-width: 1200px) {
    /**
   * CUSTOM PROPERTY
   */

    :root {

     /**
     * typography
     */

     --fs-2: 8rem;
     --fs-1: 5.5rem;
     --fs-3: 4.8rem;

    }

   /**
   * REUSED STYLE
   */

    .container2 {
     max-width: 1180px;
    }

  }

  /* Apenas a primeira letra maiúscula, o resto minúsculo */
h2, h3, p {
  text-transform: lowercase;
}
h2::first-letter,
h3::first-letter,
p::first-letter {
  text-transform: uppercase;
}